[med-svn] [Git][med-team/catfishq][master] 3 commits: Add Bug-Submit and Bug-Database fields to debian/upstream/metadata

Tony Mancill (@tmancill) gitlab at salsa.debian.org
Sun May 23 20:40:13 BST 2021



Tony Mancill pushed to branch master at Debian Med / catfishq


Commits:
017ab4bd by tony mancill at 2021-05-23T12:08:23-07:00
Add Bug-Submit and Bug-Database fields to debian/upstream/metadata

- - - - -
76fa01c8 by tony mancill at 2021-05-23T12:08:51-07:00
Add Repository[-Browse] fields to debian/upstream/metadata

- - - - -
b74ea1c6 by tony mancill at 2021-05-23T12:37:13-07:00
Add autopkgtest case for dedup, recursive, and .gz files

- - - - -


4 changed files:

- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/tests/test.fastq
- debian/upstream/metadata


Changes:

=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+
+CUR_DIR=`pwd`
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd "${AUTOPKGTEST_TMP}"
+cp ${CUR_DIR}/debian/tests/test.fastq .
+cat test.fastq | gzip > test.fastq.gz
+mkdir subdir
+cp test.fastq test.fastq.gz subdir
+
+echo "Test recursive directory descent and dedup"
+catfishq --log debug --recursive --dedup --out catfishq.dedup.test.out .
+
+# with dedup, the output should match the input
+diff -q catfishq.dedup.test.out test.fastq
+
+echo "PASS"


=====================================
debian/tests/test.fastq
=====================================
@@ -0,0 +1,4 @@
+ at Level_1
+AAAA
++
+||||


=====================================
debian/upstream/metadata
=====================================
@@ -1,4 +1,6 @@
 ---
+Bug-Database: https://github.com/philres/catfishq/issues
+Bug-Submit: https://github.com/philres/catfishq/issues/new
 Registry:
  - Name: conda:bioconda
    Entry: NA
@@ -12,3 +14,5 @@ Registry:
  - Name: SciCrunch
    Entry: NA
    Checked: 2021-05-23
+Repository: https://github.com/philres/catfishq.git
+Repository-Browse: https://github.com/philres/catfishq



View it on GitLab: https://salsa.debian.org/med-team/catfishq/-/compare/664e1be605ab61e812d553f8ad283a4a5a83bf4e...b74ea1c6a2cd5e7785de92389a354b5e01de6f33

-- 
View it on GitLab: https://salsa.debian.org/med-team/catfishq/-/compare/664e1be605ab61e812d553f8ad283a4a5a83bf4e...b74ea1c6a2cd5e7785de92389a354b5e01de6f33
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210523/b512275b/attachment-0001.htm>


More information about the debian-med-commit mailing list